PAM_PROMPT(3) | Library Functions Manual | PAM_PROMPT(3)

# NAME

`pam_prompt` — call the conversation function

# SYNOPSIS

`#include <sys/types.h>`
`#include <security/pam_appl.h>`

int
`pam_prompt`(const pam_handle_t *pamh, int style, char **resp, const char *fmt, ...);

# DESCRIPTION

The `pam_prompt`() function constructs a message from the specified format string and arguments and passes it to the given PAM context's conversation function.

A pointer to the response, or `NULL` if the conversation function did not return one, is stored in the location pointed to by the resp argument.

See pam_vprompt(3) for further details.

# RETURN VALUES

The `pam_prompt`() function returns one of the following values:

[`PAM_SUCCESS`]
  Success.
[`PAM_BUF_ERR`]
  Memory buffer error.
[`PAM_CONV_ERR`]
  Conversation failure.
[`PAM_SYSTEM_ERR`]
  System error.

# SEE ALSO

pam(3), pam_error(3), pam_info(3), pam_strerror(3), pam_vprompt(3)

# STANDARDS

The `pam_prompt`() function is an OpenPAM extension.

# AUTHORS

The `pam_prompt`() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.

June 27, 2023 | NetBSD 11.0